repa-3.4.0.2: High performance, regular, shape polymorphic parallel arrays.

Safe Haskell | None
Language | Haskell98

Data.Array.Repa.Repr.Undefined

Synopsis

- data X

# Documentation

data X Source

An array with undefined elements.

- This is normally used as the last representation in a partitioned array, as the previous partitions are expected to provide full coverage.

Instances

Source X e Source | Undefined array elements. Inspecting them yields `error`.
(Shape sh, Num e) => Load X sh e Source |
Structured X a b Source |
Read sh => Read (Array X sh e) Source |
Show sh => Show (Array X sh e) Source |
type TR X = X Source |
data Array X sh e = AUndefined !sh Source |